[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# FpWriteV

Vector write: Write from multiple buffers to a file descriptor

## Declaration

Source position: bunxh.inc line 90

`function FpWriteV(`
`fd: cint;`
`const iov: piovec;`
`iovcnt: cint`
`):TsSize;`

## Description

FpWriteV writes data to file descriptor fd. The data is taken from iovcnt buffers described by the tiovec buffers pointed to by iov. It works like fpWrite only from multiple buffers.

## Errors

On error, -1 is returned.

## See also

FpReadV |  | Vector read: Read into multiple buffers
FpPWrite |  | Positional write: write to file descriptor at a certain position.
FpPRead |  | Positional read: read from file descriptor at a certain position.